API Explorer 896 endpoints

Get parcel_owner by id

GET /obp/dynamic-entity/banks/ogcr/parcel_owner/PARCEL_OWNER_ID

OBPv4.0.0-dynamicEntity_getSingleparcel_owner_ogcr Roles: CanGetDynamicEntityRecord_parcel_owner(per bank) _Parcel_owner(ogcr)Dynamic-EntityDynamic

Get parcel_owner by id.

Parsed entity parcel_owner. This Dynamic Entity is part of OGCR.

Property List:

  • parcel_owner_id: Internal identifier
  • parcel_id: Parcel the claim is about
  • legal_name: Owner as declared by the operator
  • owner_type: natural_person, legal_person or public_entity
  • country_id: Country of the owner's address
  • supporting_document_id: Deed or cadastre extract upoaded by operator

MethodRouting settings example:

<details>

{
  "is_bank_id_exact_match":false,
  "method_name":"dynamicEntityProcess",
  "connector_name":"rest_vMar2019",
  "bank_id_pattern":".*",
  "parameters":[
    {
        "key":"entityName",
        "value":"parcel_owner"
    }
    {
        "key":"url",
        "value":"http://mydomain.com/xxx"
    }
  ]
}

</details>

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

Example success response
{
  "bank_id": "ogcr",
  "parcel_owner": {
    "parcel_owner_id": "string",
    "parcel_id": "string",
    "legal_name": "string",
    "owner_type": "string",
    "country_id": "string",
    "supporting_document_id": "string"
  }
}
Possible errors (3)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-20006: User is missing one or more roles:
  • OBP-50000: Unknown Error.
Implemented by OBPv4.0.0 dynamicEntity_getSingleparcel_owner_ogcr Originally /banks/ogcr/parcel_owner/PARCEL_OWNER_ID